<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="iot__config_8h" kind="file" language="C++">
    <compoundname>iot_config.h</compoundname>
    <includes local="yes" refid="cy__iot__platform__types_8h">cy_iot_platform_types.h</includes>
    <includes local="no">assert.h</includes>
    <includes local="no">stdlib.h</includes>
    <includedby local="yes" refid="cy__iot__network__secured__socket_8h">cy_iot_network_secured_socket.h</includedby>
    <incdepgraph>
      <node id="11">
        <label>assert.h</label>
      </node>
      <node id="12">
        <label>stdlib.h</label>
      </node>
      <node id="10">
        <label>iot_config.h</label>
        <link refid="iot__config_8h" />
        <childnode refid="11" relation="include">
        </childnode>
        <childnode refid="12" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__mqtt__cyport__config_1ga41f0c9d181387db9557b17c9f6cd21cd" kind="define" prot="public" static="no">
        <name>IOT_THREAD_DEFAULT_PRIORITY</name>
        <initializer>( CY_RTOS_PRIORITY_NORMAL )</initializer>
        <briefdescription>
<para>Default thread priority for the threads created by AWS IoT Device SDK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="45" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1gaee57e19310ccb730070bc3f10c4ea070" kind="define" prot="public" static="no">
        <name>IOT_THREAD_DEFAULT_STACK_SIZE</name>
        <initializer>( 2048 )</initializer>
        <briefdescription>
<para>Default thread stack size for the threads created by AWS IoT Device SDK. </para>        </briefdescription>
        <detaileddescription>
<para>The stack size may be tuned to suit the desired use case. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="50" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="50" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1gac6425411a1adc69e86fbf37c8f4ff235" kind="define" prot="public" static="no">
        <name>IOT_MQTT_RESPONSE_WAIT_MS</name>
        <initializer>( 5000U )</initializer>
        <briefdescription>
<para>Default wait time (in milliseconds) to receive keep-alive responses from the MQTT broker. </para>        </briefdescription>
        <detaileddescription>
<para>This value may be adjusted to suit the use case and network environment. Refer aws-iot-device-sdk-embedded-C/doc/lib/mqtt.txt for additional info. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="56" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="56" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1ga984ea15e311f6b7c2033b80851729657" kind="define" prot="public" static="no">
        <name>Iot_DefaultAssert</name>
        <briefdescription>
<para>Insert program diagnostics. </para>        </briefdescription>
        <detaileddescription>
<para>This function should have the same signature as <ulink url="https://pubs.opengroup.org/onlinepubs/9699919799/functions/assert.html">assert</ulink> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="79" column="10" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="79" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1ga3a395f24a51cd9c43cbf4cffc820acfd" kind="define" prot="public" static="no">
        <name>Iot_DefaultMalloc</name>
        <initializer>malloc</initializer>
        <briefdescription>
<para>Memory allocation. </para>        </briefdescription>
        <detaileddescription>
<para>This function should have the same signature as <ulink url="http://pubs.opengroup.org/onlinepubs/9699919799/functions/malloc.html">malloc</ulink> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="85" />
      </memberdef>
      <memberdef id="group__mqtt__cyport__config_1gaa8fa5366cea14f8d10163c4c726a81e0" kind="define" prot="public" static="no">
        <name>Iot_DefaultFree</name>
        <initializer>free</initializer>
        <briefdescription>
<para>Free memory. </para>        </briefdescription>
        <detaileddescription>
<para>This function should have the same signature as <ulink url="http://pubs.opengroup.org/onlinepubs/9699919799/functions/free.html">free</ulink> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" line="90" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file contains configuration settings for the MQTT Library. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />Copyright<sp />(C)<sp />2019<sp />Amazon.com,<sp />Inc.<sp />or<sp />its<sp />affiliates.<sp /><sp />All<sp />Rights<sp />Reserved.</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />Permission<sp />is<sp />hereby<sp />granted,<sp />free<sp />of<sp />charge,<sp />to<sp />any<sp />person<sp />obtaining<sp />a<sp />copy<sp />of</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />this<sp />software<sp />and<sp />associated<sp />documentation<sp />files<sp />(the<sp />"Software"),<sp />to<sp />deal<sp />in</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*<sp />the<sp />Software<sp />without<sp />restriction,<sp />including<sp />without<sp />limitation<sp />the<sp />rights<sp />to</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*<sp />use,<sp />copy,<sp />modify,<sp />merge,<sp />publish,<sp />distribute,<sp />sublicense,<sp />and/or<sp />sell<sp />copies<sp />of</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*<sp />the<sp />Software,<sp />and<sp />to<sp />permit<sp />persons<sp />to<sp />whom<sp />the<sp />Software<sp />is<sp />furnished<sp />to<sp />do<sp />so,</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />subject<sp />to<sp />the<sp />following<sp />conditions:</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />The<sp />above<sp />copyright<sp />notice<sp />and<sp />this<sp />permission<sp />notice<sp />shall<sp />be<sp />included<sp />in<sp />all</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*<sp />copies<sp />or<sp />substantial<sp />portions<sp />of<sp />the<sp />Software.</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*<sp />THE<sp />SOFTWARE<sp />IS<sp />PROVIDED<sp />"AS<sp />IS",<sp />WITHOUT<sp />WARRANTY<sp />OF<sp />ANY<sp />KIND,<sp />EXPRESS<sp />OR</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*<sp />IMPLIED,<sp />INCLUDING<sp />BUT<sp />NOT<sp />LIMITED<sp />TO<sp />THE<sp />WARRANTIES<sp />OF<sp />MERCHANTABILITY,<sp />FITNESS</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*<sp />FOR<sp />A<sp />PARTICULAR<sp />PURPOSE<sp />AND<sp />NONINFRINGEMENT.<sp />IN<sp />NO<sp />EVENT<sp />SHALL<sp />THE<sp />AUTHORS<sp />OR</highlight></codeline>
<codeline lineno="20"><highlight class="comment"><sp />*<sp />COPYRIGHT<sp />HOLDERS<sp />BE<sp />LIABLE<sp />FOR<sp />ANY<sp />CLAIM,<sp />DAMAGES<sp />OR<sp />OTHER<sp />LIABILITY,<sp />WHETHER</highlight></codeline>
<codeline lineno="21"><highlight class="comment"><sp />*<sp />IN<sp />AN<sp />ACTION<sp />OF<sp />CONTRACT,<sp />TORT<sp />OR<sp />OTHERWISE,<sp />ARISING<sp />FROM,<sp />OUT<sp />OF<sp />OR<sp />IN</highlight></codeline>
<codeline lineno="22"><highlight class="comment"><sp />*<sp />CONNECTION<sp />WITH<sp />THE<sp />SOFTWARE<sp />OR<sp />THE<sp />USE<sp />OR<sp />OTHER<sp />DEALINGS<sp />IN<sp />THE<sp />SOFTWARE.</highlight></codeline>
<codeline lineno="23"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="preprocessor">#ifndef<sp />IOT_CONFIG_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_CONFIG_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_iot_platform_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;assert.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdlib.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="preprocessor">#define<sp />IOT_THREAD_DEFAULT_PRIORITY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RTOS_PRIORITY_NORMAL<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="preprocessor">#define<sp />IOT_THREAD_DEFAULT_STACK_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />2048<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="preprocessor">#define<sp />IOT_MQTT_RESPONSE_WAIT_MS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />5000U<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="preprocessor">#define<sp />IOT_CONTAINERS_ENABLE_ASSERTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />0<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_MQTT_ENABLE_ASSERTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />0<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_TASKPOOL_ENABLE_ASSERTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />0<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AWS_IOT_SHADOW_ENABLE_ASSERTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />0<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AWS_IOT_DEFENDER_ENABLE_ASSERTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />0<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AWS_IOT_JOBS_ENABLE_ASSERTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />0<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="preprocessor">#if<sp />(IOT_CONTAINERS_ENABLE_ASSERTS<sp />==<sp />1)<sp />||<sp />(IOT_MQTT_ENABLE_ASSERTS<sp />==<sp />1)<sp />||<sp />(IOT_TASKPOOL_ENABLE_ASSERTS<sp />==<sp />1)<sp />||<sp />(AWS_IOT_SHADOW_ENABLE_ASSERTS<sp />==<sp />1)<sp />||<sp />(AWS_IOT_DEFENDER_ENABLE_ASSERTS<sp />==<sp />1)<sp />||<sp />(AWS_IOT_JOBS_ENABLE_ASSERTS<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />Iot_DefaultAssert<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />assert</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#define<sp />Iot_DefaultAssert</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="preprocessor">#define<sp />Iot_DefaultMalloc<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />malloc</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="preprocessor">#define<sp />Iot_DefaultFree<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />free</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />IOT_LOG_LEVEL_GLOBAL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_LOG_LEVEL_DEMO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_LOG_LEVEL_PLATFORM<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_LOG_LEVEL_NETWORK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_LOG_LEVEL_TASKPOOL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IOT_LOG_LEVEL_MQTT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AWS_IOT_LOG_LEVEL_SHADOW<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AWS_IOT_LOG_LEVEL_DEFENDER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AWS_IOT_LOG_LEVEL_JOBS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IOT_LOG_ERROR</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />ifndef<sp />IOT_CONFIG_H_<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/iot_config.h" />
  </compounddef>
</doxygen>